commit 7e15ca6c2c29a4b78367e6efa6195b331a92b2a7
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 6 10:27:29 2019 -0700

    Release 0.6.13

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6b161973afe5622d96d776d9bc44042f329e7047
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Oct 20 18:05:54 2017 +0800

    Visual Studio builds: Enhance security of x64 binaries
    
    Use the HIGHENTROPYVA linker option on x64 builds with MSVC 2012 and
    later to enhance the security of the built binaries.
    
    Pointed out by Ignacio Casal Quinteiro.

 win32/vs10/croco-build-defines.props | 4 ++++
 1 file changed, 4 insertions(+)

commit 9c4776803bf3564c1cb18dc995a3d0dafaf14343
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 9 18:17:29 2017 -0700

    win32/replace.py: Fix replacing items in files with UTF-8 content
    
    Some files that this script will process might have UTF-8 items in
    there, which can cause problems on Python 3.x as it is more strict and
    careful on unicode issues.  Fix this by:
    
    -Doing what we did before on Python 2.x
    -Opening the file with encoding='utf-8' on Python 3.x

 win32/replace.py | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9ad72875e9f08e4c519ef63d44cdbd94aa9504f7
Author: Ignacio Casal Quinteiro <qignacio@amazon.com>
Date:   Sun Apr 16 13:56:09 2017 +0200

    tknzr: support only max long rgb values
    
    This fixes a possible out of bound when reading rgbs which
    are longer than the support MAXLONG

 src/cr-tknzr.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 1fa1fdf73af5b2d5a05eafaba41e6ce26df4609b
Author: Ignacio Casal Quinteiro <qignacio@amazon.com>
Date:   Sun Apr 16 13:44:56 2017 +0200

    tknzr: remove unneeded assign

 src/cr-tknzr.c | 1 -
 1 file changed, 1 deletion(-)

commit 898e3a8c8c0314d2e6b106809a8e3e93cf9d4394
Author: Ignacio Casal Quinteiro <qignacio@amazon.com>
Date:   Sun Apr 16 13:13:43 2017 +0200

    input: check end of input before reading a byte
    
    When reading bytes we weren't check that the index wasn't
    out of bound and this could produce an invalid read which
    could deal to a security bug.

 src/cr-input.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit b3230f4fe1ed8f1d092279e41bf53a266bddab73
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Apr 6 15:33:08 2017 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d0162098ac6630113da9e66620ab29459352dd6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Apr 6 15:32:27 2017 +0200

    Release 0.6.12

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 86e8e2284bfe250b3c03108a59c9307564302f3e
Author: Mattia Rizzolo <mattia@debian.org>
Date:   Tue Jan 3 10:16:13 2017 +0100

    Typo fix s/unknow/unknown/
    
    Signed-off-by: Mattia Rizzolo <mattia@debian.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=776798

 src/cr-fonts.c | 2 +-
 src/cr-style.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 0a894220ee8b5306e501371156cce1cb04a5d1f2
Author: Mattia Rizzolo <mattia@debian.org>
Date:   Tue Jan 3 10:12:52 2017 +0100

    Typo fix s/Instanciation/instantiation/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=776798

 src/cr-om-parser.c |  2 +-
 src/cr-statement.c | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 7c250a98646585ade34adfd853a933e7ebc01238
Author: Mattia Rizzolo <mattia@debian.org>
Date:   Tue Jan 3 10:17:22 2017 +0100

    Typo fix s/occured/occurred/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=776798

 src/cr-input.c     | 6 +++---
 src/cr-parser.c    | 2 +-
 src/cr-prop-list.c | 2 +-
 src/cr-sel-eng.c   | 2 +-
 src/cr-tknzr.c     | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 378363949d4e1337a1fc55c3fd6848e65605ab82
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 3 12:04:59 2017 +0800

    Visual Studio builds: Generate .pc files
    
    Generate and copy the libcroco-0.6.pc during the "install" stage of the
    build, when a Python installation is found at the configured location in
    croco-version-paths.[vsprops|props].
    
    Also fix the 201x "install" project as a "'" is missed, and clean up
    things a bit.

 win32/vs10/Makefile.am                   |  1 +
 win32/vs10/croco-install.propsin         | 26 ++++++++++++------
 win32/vs10/croco-install.vcxproj         | 12 ++++++++-
 win32/vs10/croco-install.vcxproj.filters | 29 ++++++++++++++++++++
 win32/vs10/croco-version-paths.props.in  |  4 +++
 win32/vs11/Makefile.am                   |  1 +
 win32/vs12/Makefile.am                   |  1 +
 win32/vs14/Makefile.am                   |  1 +
 win32/vs15/Makefile.am                   |  1 +
 win32/vs9/croco-install.vcproj           | 46 +++++++++++++++++++++++++++++---
 win32/vs9/croco-install.vspropsin        |  7 +++++
 win32/vs9/croco-version-paths.vsprops.in |  4 +++
 12 files changed, 120 insertions(+), 13 deletions(-)

commit d20188b9945ac8f20ae6467112fe7f5fbc3c913d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 1 18:25:43 2017 +0800

    Visual Studio builds: Add .pc generation scripts
    
    This adds Python scripts to generate .pc files for libcroco, so that
    it is easier for people who need to use the .pc files for the package.
    Integration to generate the .pc files will be added later to the project
    files.

 win32/Makefile.am |   5 ++-
 win32/crocopc.py  |  33 +++++++++++++++
 win32/pc_base.py  | 124 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 win32/replace.py  | 109 +++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 269 insertions(+), 2 deletions(-)

commit 3aa6d1186f2769defbb382ffef21af7f26179ea9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 1 18:08:47 2017 +0800

    Visual Studio builds: Get the micro version as well
    
    Update croco-version-paths.[vsprops|props].in to record the major, minor
    and micro versions of a release, and assemble the API version from these
    values.  This prepares for generating the .pc file for libcroco.

 win32/vs10/croco-version-paths.props.in  | 14 +++++++++++++-
 win32/vs9/croco-version-paths.vsprops.in | 14 +++++++++++++-
 2 files changed, 26 insertions(+), 2 deletions(-)

commit 30c2821b1c1596f11fde9f132634badf656aa310
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 1 18:04:57 2017 +0800

    configure.ac: Bump LIBCROCO_MICRO_VERSION
    
    We need to bump the micro version here as well...

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2fc527d65acb2cc27c5522e70290c6648ff13cae
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Feb 23 10:57:29 2017 +0800

    Visual Studio builds: Move projects to win32/
    
    This enables us to go one less layer down the tree to reach the projects and
    allows the autotools modules Makefile-newvs.am and Makefile.msvcproj be in
    sync with the latest ones in GLib master.

 Makefile.am                                        |   2 +-
 build/Makefile-newvs.am                            |  53 -------
 build/Makefile.am                                  |  21 ---
 build/Makefile.msvcproj                            | 114 ---------------
 configure.ac                                       |  19 ++-
 src/Makefile.am                                    |   6 +-
 win32/Makefile-newvs.am                            |  55 ++++++++
 {build/win32 => win32}/Makefile.am                 |   0
 win32/Makefile.msvcproj                            | 153 +++++++++++++++++++++
 {build/win32 => win32}/vs10/Makefile.am            |  12 +-
 .../win32 => win32}/vs10/croco-build-defines.props |   2 +-
 {build/win32 => win32}/vs10/croco-gen-srcs.props   |   4 +-
 {build/win32 => win32}/vs10/croco-install.propsin  |   0
 {build/win32 => win32}/vs10/croco-install.vcxproj  |  28 ++--
 .../vs10/croco-version-paths.props.in              |   2 +-
 .../win32 => win32}/vs10/croco.vcxproj.filtersin   |   4 +-
 {build/win32 => win32}/vs10/croco.vcxprojin        |  46 +++----
 {build/win32 => win32}/vs10/csslint.vcxproj        |  10 +-
 .../win32 => win32}/vs10/csslint.vcxproj.filters   |   4 +-
 {build/win32 => win32}/vs10/libcroco.sln           |   0
 {build/win32 => win32}/vs11/Makefile.am            |   5 +-
 {build/win32 => win32}/vs12/Makefile.am            |   5 +-
 {build/win32 => win32}/vs14/Makefile.am            |   5 +-
 {build/win32 => win32}/vs15/Makefile.am            |   5 +-
 {build/win32 => win32}/vs9/Makefile.am             |   4 +-
 .../vs9/croco-build-defines.vsprops                |   2 +-
 {build/win32 => win32}/vs9/croco-gen-srcs.vsprops  |   4 +-
 {build/win32 => win32}/vs9/croco-install.vcproj    |   0
 {build/win32 => win32}/vs9/croco-install.vspropsin |   0
 .../vs9/croco-version-paths.vsprops.in             |   2 +-
 {build/win32 => win32}/vs9/croco.vcprojin          |  12 +-
 {build/win32 => win32}/vs9/csslint.vcproj          |   2 +-
 {build/win32 => win32}/vs9/libcroco.sln            |   0
 33 files changed, 290 insertions(+), 291 deletions(-)

commit abe78893ecbfe1308b7af95a48da6b0321e04f45
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Feb 15 14:31:27 2017 +0800

    Visual Studio builds: Support Visual Studio 2017
    
    This updates the autotools scripts so that we can support Visual Studio 2017
    by copying the 2010 projects and update items in there as needed.
    
    Note that the format of the toolset version string changed for Visual Studio
    2017, so allow a custom toolset version string to be passed in and used,
    otherwise the platform toolset string is generated as before.
    
    Note also that Visual Studio 2017 aims to be compatible with 2015 on the
    CRT level, so one should be able to use 2017-built binaries with 2015-built
    binaries without problems.

 build/Makefile-newvs.am      | 18 +++++++++++++-----
 build/win32/Makefile.am      |  2 +-
 build/win32/vs10/Makefile.am |  1 +
 build/win32/vs15/Makefile.am | 38 ++++++++++++++++++++++++++++++++++++++
 configure.ac                 |  8 ++++++++
 5 files changed, 61 insertions(+), 6 deletions(-)

commit 6c9dfc4b7b9d564058398cf30ac41210427c395a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 19 19:32:01 2016 +0800

    Remove croco-install.props's during re-generation
    
    This is to ensure the changes in the generated
    build/win32/vs10/croco-install.props are applied in
    build/win32/vs[11|12|14] as well.

 build/win32/vs10/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit f5db6c6e65f52703a4ad7121aa6ae0441c51ad74
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 19 14:48:08 2016 +0800

    build/: Force MSVC project file generation on Makefile.am changes
    
    Make the Makefile.am targets for generating the Visual Studio projects re-generate the
    project files and the header listings whenever the Makefile.am's that include
    build/Makefile.msvcproj changes, so that whenever a source/header is added, they will
    be reflected in the projects and in the property sheets that are used to copy the
    headers.
    
    Also ensure that these are applied to the vs11, vs12 and vs14 projects when this
    happens, as they are copied and processed from the Visual Studio 2010 projects.

 build/Makefile-newvs.am |  2 +-
 build/Makefile.msvcproj | 11 +++++++++--
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 23409467b2709010f0baf11e0a4909bd21cc6095
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Jun 23 16:48:43 2016 +0800

    Visual Studio builds: Rearrange include search paths
    
    Order the search sequence of the headers to conform better to the
    dependency hierarchy.

 build/win32/vs10/croco-build-defines.props  | 2 +-
 build/win32/vs9/croco-build-defines.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 866631dfa9609f7206856eb85da81b663daaec10
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Dec 17 14:04:10 2015 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8a1a160186a45a5852abc06916f9e452ace9e00
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Dec 17 14:02:15 2015 +0100

    Release 0.6.11

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit f4f9e6d897bcb7dff768dda66a9e62c80137d7f5
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Dec 17 00:32:09 2015 +0100

    Fix regression in cr_tknzr_consume_chars()
    
    Commit bc9b2c339e introduced an intermediate variable to account
    for the difference in signedness between cr_tknzr_consume_chars()
    and cr_input_consume_chars(), but missed that the variable in
    question is an in-out variable that requires proper initialization.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759565

 src/cr-tknzr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 387857601cf0cbbac468e0f2620daca5d2a8c095
Author: Marek Chalupa <mchqwerty@gmail.com>
Date:   Tue Dec 15 17:58:52 2015 +0100

    Fix comparison warning
    
    Logical ! was only applied to the left side of the comparison
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758394

 src/cr-sel-eng.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1e3112a925e09a1f54a30af2e2c0cfb85d139100
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Dec 13 19:27:07 2015 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef5d47e32dcbcd2ec181b23021e583720902f199
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Dec 13 19:25:48 2015 +0100

    Release 0.6.10

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 956078a3cf703b3de5117659a50fae1bc00e8c20
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:47:43 2015 +0000

    Fix unused status variable in main()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f09307d1d467e0c25bd6f00bd689fdd5b858a360
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:45:46 2015 +0000

    Fix unused status variable in evaluate_selectors()
    
    * Add an end label to go to on error
    * Clean up xml_doc at the end
    * Fix a miscleaning of xpath_object
    * Unref sheets after they are given to a cascade
    * Return status at the end
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c | 40 ++++++++++++++++++++++++++++++++--------
 1 file changed, 32 insertions(+), 8 deletions(-)

commit d03fa2148fe0af4ebd96f1fa74772054197aaa02
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:45:09 2015 +0000

    Fix unused status variable in set_prop_position_from_value()
    
    * Return status
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-style.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6bb010a2d6ca81f2c86b2e6990c44a844819b8f8
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:44:07 2015 +0000

    Fix unused status variable in cr_utils_utf8_to_ucs1()
    
    * Don't set status to CR_OK, it's initialized to that value
    * Return status
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-utils.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ac8029a5fe0bf9df81ea6965ac056aa81fa4885d
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sat Oct 31 22:42:18 2015 +0000

    Fix unused status variable in cr_utils_ucs1_to_utf8()
    
    * Return status instead (initialized to CR_OK) instead of an explicit CR_OK
    * Remove redundant check for *a_in_len < 1 (equivalent to *a_in_len == 0)
      and remove now-unused end label
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-utils.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit bc9b2c339e1181f8c69a2f74a93876932e352d6d
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:30:59 2014 +0000

    Fix cr_tknzr_consume_chars() to set *a_nb_char before returning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-tknzr.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 5fd302372e568810ff6eda6a6babbe04543a2116
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:28:07 2014 +0000

    Fix cr_input_consume_white_spaces to behave as documented
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-input.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0ab22e823daa1b5a3fbaa0552874cfe33bbf15f5
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:22:06 2014 +0000

    Fix improper use of g_ascii_strup()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-enc-handler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3f94a4f5902e5e342ed77de6739934d49e97f937
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:20:57 2014 +0000

    Derive pointer to have appropriate type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-enc-handler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e1facb1e7e8a0568774a1630c1a8621679635ef5
Author: Markus Engel <p637777@aol.com>
Date:   Mon Mar 24 20:29:00 2014 +0000

    Fix typos
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726993

 src/cr-style.c | 2 +-
 src/cr-tknzr.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 15a8885758a5e6b4d7d03d7cacd89a212bbf9847
Author: Boris Egorov <egorov@linux.com>
Date:   Thu Mar 19 23:42:34 2015 +0600

    Fix typo in logical condition
    
    TYPE_SELECTOR equals to 2, so condition
    (cur_sel->type_mask | TYPE_SELECTOR) will always be true. We should
    increase c only if we encounter a selector.
    
    Issue detected by Cppcheck and MSVS (see
    https://bugzilla.gnome.org/show_bug.cgi?id=507484)
    
    Signed-off-by: Boris Egorov <egorov@linux.com>

 src/cr-simple-sel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6fe636277bff9f21b6e3f2c640a17114f9e723f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 12:01:52 2015 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 464576a12964ab23278caf91c404b560a074bc40
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:57:00 2015 +0100

    Release 0.6.9

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10cb6cfadb79cc7fc08f5ea8a7412bc34c34c250
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:43:20 2015 +0100

    Add -I m4 to ACLOCAL_AMFLAGS

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 64e310323ae6bebc7da62c05590d34f198b8bf43
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:40:36 2015 +0100

    Renew autogen to not use gnome-autogen

 autogen.sh | 46 +++++++++++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 19 deletions(-)

commit 274678c35f0859f0a0f93356478f87dc42dd2be5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 11:40:28 2015 +0100

    configure: specify config macro dir

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit e7def20ab9a5592f6845534262b3124e06661679
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:55:54 2015 +0100

    configure: bump the prereq

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41a7708862c21ee46a38236c8c1e571179746349
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:54:10 2015 +0100

    configure: generate xz on distcheck

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5caf7b6c3fe442477c7eb413dd7018290b002aac
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:43:04 2015 +0100

    Some style fixes in Makefile.am

 src/Makefile.am | 166 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 83 insertions(+), 83 deletions(-)

commit b1b59df9e127c74e54cae22958292ad1f5450376
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Oct 31 09:41:10 2015 +0100

    Replace deprecated INCLUDES with CPPFLAGS

 csslint/Makefile.am |  9 +++++----
 tests/Makefile.am   | 44 ++++++++++++++++++++++----------------------
 2 files changed, 27 insertions(+), 26 deletions(-)

commit 60fcbef051e30acb8ab766299c27eb2fe7063d33
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat Oct 31 00:53:31 2015 +0800

    build: Ensure croco[.vs10].headers is removed
    
    croco[.vs10].headers are intermediate files that is generated during 'make
    dist' that outght to be removed upon the completion of 'make dist', so
    ensure that it is so.

 build/win32/vs10/Makefile.am | 6 +++---
 build/win32/vs9/Makefile.am  | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 2424407fe4e81feb6738533038d186949801c92c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Fri Oct 30 09:17:40 2015 +0100

    Update NEWS for upcoming release

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit d8f9915a62aa14d49170180367c07c449833ae02
Author: Markus Engel <p637777@aol.com>
Date:   Fri Oct 30 09:06:46 2015 +0100

    Plug memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726992

 src/cr-cascade.c | 1 +
 src/cr-term.c    | 5 ++---
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 96d36b17f148195723c10d59fca3b97327468b22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Fri Oct 30 08:55:06 2015 +0100

    Fix variables set but not used

 src/cr-statement.c |  4 +---
 src/cr-utils.c     | 12 +++---------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit cdf9eb341eb97dbf8900cf61323356f463b3c714
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 11 12:50:56 2015 +0200

    doap: Remove myself
    
    I'm not interested in this module anymore since I gave away librsvg.

 libcroco.doap | 7 -------
 1 file changed, 7 deletions(-)

commit 9e19d83a1a463299cb74a26c07bad74cf9c303a2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:55:05 2015 +0800

    MSVC Builds: "Add" Visual Studio 2015 Projects
    
    This "adds" Visual Studio 2015 projects by doing what we did before:
    Copy the Visual Studio 2010 projects and updating items in there as
    needed, as the 2010 projects are largely the same to the 2015 ones.

 build/Makefile-newvs.am      | 24 ++++++++++++++++--------
 build/win32/Makefile.am      |  2 +-
 build/win32/vs11/Makefile.am |  4 +---
 build/win32/vs12/Makefile.am |  4 +---
 build/win32/vs14/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac                 |  1 +
 6 files changed, 57 insertions(+), 15 deletions(-)

commit cbab917ad1389615a5448d9b30517ff26af7144d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:52:18 2015 +0800

    Build: Make Makefile.msvcproj A Bit More Generic
    
    Handle also the situation where $(srcdir) == $(top_srcdir), so that this
    can also be used in cases like librsvg and gobject-introspection.

 build/Makefile.msvcproj | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9207f349d1c97618ab38e6b095207bbd8184d844
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 29 15:11:38 2015 +0800

    MSVC Builds: Rename "Install" Project
    
    ...and update its GUID so that the existing libcroco projects will fit in
    easier into all-in-one solution files that is used to build the entire
    GTK+ stack, where project GUIDs need to me mutually exclusive in solution
    files.

 build/win32/vs10/Makefile.am                           |  2 +-
 .../vs10/{install.vcxproj => croco-install.vcxproj}    |  4 ++--
 build/win32/vs10/libcroco.sln                          | 18 +++++++++---------
 build/win32/vs11/Makefile.am                           |  4 ++--
 build/win32/vs12/Makefile.am                           |  4 ++--
 build/win32/vs9/Makefile.am                            |  2 +-
 .../win32/vs9/{install.vcproj => croco-install.vcproj} |  6 +++---
 build/win32/vs9/libcroco.sln                           | 18 +++++++++---------
 8 files changed, 29 insertions(+), 29 deletions(-)

commit a2b9a3aaeeaee5765366e55802e04c6ff5cce93c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jul 29 14:47:42 2015 +0800

    MVSC 2008 Builds: Fine Tune .lib "Installation"
    
    Make sure that we don't copy the other .lib files accidently, when this
    file is a part of an all-in-one solution file.

 build/win32/vs9/croco-install.vspropsin | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2089d2f149f05f5fed84270e62be8ca69dbc2e6a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:24:43 2015 +0800

    Build: Clean Up MSVC Project Generation
    
    Add and use a common autotools module, which can be used to generate
    the various Visual Studio 2008/2010 project files, which also have
    the following benefits:
    
    -Have the header installation porperty sheet also generated from the
     templates using 'make dist', to ensure the headers listings are kept
     up-to-date between releases.
    -Make src/Makefile.am cleaner
    -Support out-of-tree builds and 'make -jN dist' better
    
    Also improve the debugging experience for the stack by copying the .pdb
    files, which are already generated for all builds.

 build/Makefile.msvcproj                  | 103 ++++++++++++++++++++++++++++
 build/win32/vs10/Makefile.am             |  20 ++++--
 build/win32/vs10/croco-install.props     | 111 -------------------------------
 build/win32/vs10/croco-install.propsin   |  52 +++++++++++++++
 build/win32/vs10/croco.vcxproj.filtersin |   4 +-
 build/win32/vs10/croco.vcxprojin         |   4 +-
 build/win32/vs9/Makefile.am              |  28 +++++---
 build/win32/vs9/croco-install.vsprops    |  69 -------------------
 build/win32/vs9/croco-install.vspropsin  |  44 ++++++++++++
 build/win32/vs9/croco.vcprojin           |   2 +-
 src/Makefile.am                          |  41 ++++--------
 11 files changed, 251 insertions(+), 227 deletions(-)

commit 68e19d7c494c25622d37acfd20f71ae7622b2a62
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 16:09:37 2015 +0800

    Update Visual Studio Property Sheets
    
    Speed up release builds by enable multiple processor compilation and
    improve include path search for libxml2.  Also, log more useful info in
    MSVC 2010+ release builds, using /d2Zi+.

 build/win32/vs10/croco-build-defines.props  | 4 +++-
 build/win32/vs9/croco-build-defines.vsprops | 3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit b012b9777da68a6b8e5b98ad9297c81cbcd2fc9b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 16:04:20 2015 +0800

    MSVC 2010+ Builds: Update .pdb Generation
    
    Make our .pdb filename for the libcroco DLL match, so that we can copy them
    during "installation" later.

 build/win32/vs10/croco.vcxprojin | 4 ++++
 1 file changed, 4 insertions(+)

commit 566424149af665442db482b373940b1404df63e3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:55:28 2015 +0800

    MSVC Builds: Add CopyDir to Property Sheets
    
    This prepares the "install" property sheets ready for the next patches to
    clean up the Visual Studio 2008/2010 Project generation.

 build/win32/vs10/croco-version-paths.props.in  | 4 ++++
 build/win32/vs9/croco-version-paths.vsprops.in | 4 ++++
 2 files changed, 8 insertions(+)

commit 7f2c2e2cf2f8b56f192a0bdff6f10f32ea5389e7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 27 15:16:50 2015 +0800

    Fix MSVC 2012/2013 Project File Generation
    
    The paths for the project files were incorrectly set from the MSVC
    2008 projects, which is obviously not right.  Fix that.
    
    Oops.

 build/win32/vs11/Makefile.am | 18 ++++++++++--------
 build/win32/vs12/Makefile.am | 18 ++++++++++--------
 2 files changed, 20 insertions(+), 16 deletions(-)

commit 2cafcab95668fc64b3d8eeedf32b4bbc0ced9522
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 14 13:41:22 2015 +0800

    build/Makefile-newvs.am: Use Pattern Rules
    
    This allows this common autotools file to be cleaned up quite a bit, and
    has the benefit of having 'make -jN distcheck' complete successfully.

 build/Makefile-newvs.am | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 21b3a35292e16448ab5b36b2ab25777eb8e30e50
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 16:34:39 2014 +0800

    MSVC Builds: Add Simple Support for MSVC 2012/2013
    
    As the Visual Studio 2012/2013 project file format is largely the same as
    the Visual Studio 2010 ones, we can add support for them with relative ease
    by copying the 2010 files and updating them as necessary with autotools
    scripts, so to keep them up-to-date, all that is needed is that the Visual
    Studio 2010 projects are kept up to date.
    
    This might change if we do support the stack under the Windows RT APIs, but
    this will do the job for now.

 build/Makefile-newvs.am      | 37 +++++++++++++++++++++++++++++++++++++
 build/win32/Makefile.am      |  2 +-
 build/win32/vs11/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 build/win32/vs12/Makefile.am | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac                 |  2 ++
 5 files changed, 114 insertions(+), 1 deletion(-)

commit 670e3ee116f48118985f38c5ae97df5a42808822
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 15:11:12 2013 -0400

    cr-fonts: Fix a bad copy/paste error

 src/cr-fonts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd9dcf3803ff2f5a4f7eae58b1591297da5625d8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 15:11:06 2013 -0400

    cr-additional-sel: Fix some bad copy/paste errors

 src/cr-additional-sel.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cb764721168bc9ba86b64447108eb384c7747c0d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 15:43:56 2014 +0800

    MSVC Builds: Split up the Property Sheets
    
    Update the Visual Studio Projects so that the property sheets are split by
    the functions required, so to simplify their maintenance.  The projects can
    then import the property sheets that suit their needs.  This is done like
    the rest of the GTK+ stack, so it also makes it easier to support newer
    versions of Visual Studio.
    
    As the original main property sheet is generated during configure time (and
    disted), update configure.ac as well, as the name of the template file
    changed in the process.

 build/win32/vs10/Makefile.am                       |   7 +-
 build/win32/vs10/croco-build-defines.props         |  41 +++
 build/win32/vs10/croco-gen-srcs.props              |  44 ++++
 .../{libcroco.props.in => croco-install.props}     | 282 ++++++++-------------
 build/win32/vs10/croco-version-paths.props.in      |  69 +++++
 build/win32/vs10/croco.vcxprojin                   |   8 +-
 build/win32/vs10/csslint.vcxproj                   |   8 +-
 build/win32/vs10/install.vcxproj                   |  64 ++---
 build/win32/vs9/Makefile.am                        |   8 +-
 build/win32/vs9/croco-build-defines.vsprops        |  40 +++
 build/win32/vs9/croco-gen-srcs.vsprops             |  38 +++
 .../{libcroco.vsprops.in => croco-install.vsprops} |  69 +----
 build/win32/vs9/croco-version-paths.vsprops.in     |  68 +++++
 build/win32/vs9/croco.vcprojin                     |   8 +-
 build/win32/vs9/csslint.vcproj                     |   8 +-
 build/win32/vs9/install.vcproj                     |   8 +-
 configure.ac                                       |   4 +-
 17 files changed, 465 insertions(+), 309 deletions(-)

commit 5fb3db99bd3a5a1ff2ddb6959aa556bdab567bcd
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 15:00:26 2014 +0800

    MSVC Builds: Use Custom Build Steps
    
    Use Custom Build Steps for copying config.h from config.h.win32 and for
    generating libcroco.def from libcroco.symbols, as it would make it easier
    to clean and regenerate if one is cleaning or rebuilding or updateing
    those files.
    
    This also puts back into the .sln files the lines that were actually
    needed, which were removed from them accidentally from the last commit.

 build/win32/vs10/croco.vcxproj.filtersin |  4 ++
 build/win32/vs10/croco.vcxprojin         | 42 +++++++++++++-----
 build/win32/vs10/libcroco.props.in       | 21 +++------
 build/win32/vs10/libcroco.sln            | 10 +++++
 build/win32/vs9/croco.vcprojin           | 76 +++++++++++++++++++++++++-------
 build/win32/vs9/libcroco.sln             |  8 ++++
 build/win32/vs9/libcroco.vsprops.in      | 14 ++----
 7 files changed, 121 insertions(+), 54 deletions(-)

commit 81177785b0b6e36b57d4ff250d8c24956835dc67
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Aug 8 14:22:46 2014 +0800

    MSVC Builds: Don't Build The Test Programs

 build/win32/vs10/Makefile.am           |  16 +--
 build/win32/vs10/libcroco.sln          |  80 -------------
 build/win32/vs10/test0.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test0.vcxproj.filters |  36 ------
 build/win32/vs10/test1.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test1.vcxproj.filters |  36 ------
 build/win32/vs10/test2.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test2.vcxproj.filters |  36 ------
 build/win32/vs10/test3.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test3.vcxproj.filters |  36 ------
 build/win32/vs10/test4.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test4.vcxproj.filters |  36 ------
 build/win32/vs10/test5.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test5.vcxproj.filters |  36 ------
 build/win32/vs10/test6.vcxproj         | 197 ---------------------------------
 build/win32/vs10/test6.vcxproj.filters |  36 ------
 build/win32/vs9/Makefile.am            |   9 +-
 build/win32/vs9/libcroco.sln           | 106 ------------------
 build/win32/vs9/test0.vcproj           | 190 -------------------------------
 build/win32/vs9/test1.vcproj           | 190 -------------------------------
 build/win32/vs9/test2.vcproj           | 190 -------------------------------
 build/win32/vs9/test3.vcproj           | 190 -------------------------------
 build/win32/vs9/test4.vcproj           | 190 -------------------------------
 build/win32/vs9/test5.vcproj           | 190 -------------------------------
 build/win32/vs9/test6.vcproj           | 190 -------------------------------
 25 files changed, 2 insertions(+), 3170 deletions(-)

commit 563fe9a38e19cd63d3181d9c3773875a0cdb4c2c
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 12:14:13 2014 +0000

    Canonicalize the spacing around if statements and g_return_* invocations

 src/cr-om-parser.c | 17 +++++++++++++++++
 tests/test2-main.c |  1 +
 tests/test3-main.c |  1 +
 3 files changed, 19 insertions(+)

commit 06e15e28d24f1f4cfbf9de2d3224a076ae3b3b4c
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:20:27 2014 +0000

    Fix the unused arguments warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 src/cr-om-parser.c | 9 +++++++++
 tests/test2-main.c | 2 ++
 tests/test3-main.c | 2 ++
 3 files changed, 13 insertions(+)

commit b77da88890a6f1044fe3213fedba4da782233ba5
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:19:02 2014 +0000

    char/xmlChar casting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710076

 csslint/csslint.c    |  2 +-
 src/cr-declaration.c |  2 +-
 src/cr-rgb.c         |  4 ++--
 src/cr-sel-eng.c     | 40 ++++++++++++++++++++--------------------
 src/cr-statement.c   | 14 +++++++-------
 src/cr-style.c       |  2 +-
 src/cr-term.c        |  2 +-
 tests/test5-main.c   |  2 +-
 tests/test6-main.c   |  2 +-
 9 files changed, 35 insertions(+), 35 deletions(-)

commit d27114ca3442cffda04950b054d74f0f6cb19130
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue Aug 5 08:17:17 2014 +0000
